Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Interface CandidateSteps

All Known Implementing Classes:
  Steps

    public interface CandidateSteps

Interface providing the list of step candidates, representing methods annotated with `@Given`, `@When` or `@Then` that can be matched. It also provides the list of before and after steps, representing methods annotated with `@BeforeStories`, `@AfterStories`, `@BeforeStory`, `@AfterStory`, `@BeforeScenario`, `@AfterScenario`, that do not require any matching.

Method Summary
`Configuration` | `configuration()` Returns the configuration
`List<BeforeOrAfterStep>` | `listBeforeOrAfterScenario(ScenarioType type)` Returns the before or after scenario steps
`List<BeforeOrAfterStep>` | `listBeforeOrAfterStories()` Returns the before or after stories steps
`List<BeforeOrAfterStep>` | `listBeforeOrAfterStory(boolean givenStory)` Returns the before or after story steps, based on the given story status
`List<StepCandidate>` | `listCandidates()` Returns the step candidates that can be matched

Method Detail

### listCandidates

    List<StepCandidate> listCandidates()

  Returns the step candidates that can be matched

  Returns:
    The list of step candidates

### listBeforeOrAfterStories

    List<BeforeOrAfterStep> listBeforeOrAfterStories()

  Returns the before or after stories steps

  Returns:
    The list of before or after steps

### listBeforeOrAfterStory

    List<BeforeOrAfterStep> listBeforeOrAfterStory(boolean givenStory)

  Returns the before or after story steps, based on the given story status

  Parameters:
    `givenStory` - the boolean flag denoting if it's a given story
  Returns:
    The list of before or after steps

### listBeforeOrAfterScenario

    List<BeforeOrAfterStep> listBeforeOrAfterScenario(ScenarioType type)

  Returns the before or after scenario steps

  Parameters:
    `type` - the ScenarioType
  Returns:
    The list of before or after steps

### configuration

    Configuration configuration()

  Returns the configuration

  Returns:
    The Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.